[rspec-users] no such file to load - spec/test/unit

James Palmer lists at ruby-forum.com
Thu Nov 25 12:44:56 EST 2010


Under the older version of rspec, I'm able to run my script successfully
by running "spec randomperform.rb"

I've now installed the newest rspec, and it does not work for me.  If I
run the command:

rspec randomperform.rb

I get the following error:

-----
<internal:lib/rubygems/custom_require>:29:in `require': no such file to
load --
spec/test/unit (LoadError)
        from <internal:lib/rubygems/custom_require>:29:in `require'
        from C:/watir-tests/craftfree/randomperform.rb:3:in `<top
(required)>'
        from
C:/Ruby192/lib/ruby/gems/1.9.1/gems/rspec-core-2.1.0/lib/rspec/core
/configuration.rb:334:in `load'
        from
C:/Ruby192/lib/ruby/gems/1.9.1/gems/rspec-core-2.1.0/lib/rspec/core
/configuration.rb:334:in `block in load_spec_files'
        from
C:/Ruby192/lib/ruby/gems/1.9.1/gems/rspec-core-2.1.0/lib/rspec/core
/configuration.rb:334:in `map'
        from
C:/Ruby192/lib/ruby/gems/1.9.1/gems/rspec-core-2.1.0/lib/rspec/core
/configuration.rb:334:in `load_spec_files'
        from
C:/Ruby192/lib/ruby/gems/1.9.1/gems/rspec-core-2.1.0/lib/rspec/core
/command_line.rb:18:in `run'
        from
C:/Ruby192/lib/ruby/gems/1.9.1/gems/rspec-core-2.1.0/lib/rspec/core
/runner.rb:55:in `run_in_process'
        from
C:/Ruby192/lib/ruby/gems/1.9.1/gems/rspec-core-2.1.0/lib/rspec/core
/runner.rb:46:in `run'
        from
C:/Ruby192/lib/ruby/gems/1.9.1/gems/rspec-core-2.1.0/lib/rspec/core
/runner.rb:10:in `block in autorun'
--------

Anyone know what is wrong?  What am I missing?  Sorry if this is a
"newb" question, as I'm still fairly new at Ruby and its various gems.

Thanks,
James

-- 
Posted via http://www.ruby-forum.com/.


More information about the rspec-users mailing list